from sklearn.datasets import fetch_openml, fetch_rcv1
from sklearn import preprocessing
from sklearn.preprocessing import StandardScaler
from sklearn.decomposition import PCA, KernelPCA
from sklearn.cluster import KMeans
from sklearn.utils import Bunch
import pandas as pd
from pandas import DataFrame

import numpy as np
from copy import deepcopy

def preprocess_labels(labels):
    nb_labels = 0
    dict_labels = {}
    new_labels = []
    for i in range(len(labels)):
        if labels[i] not in dict_labels:
            dict_labels[labels[i]] = nb_labels
            nb_labels += 1
        new_labels.append(dict_labels[labels[i]])
    return new_labels

mnist = fetch_openml(name="mnist_784")
np.savetxt("input.txt", mnist.data)
np.savetxt("label.txt", preprocess_labels(mnist.target), fmt="%d")
